Bug Hunting Session
Bug 66216 - JDBC: cannot fill column of type TIME
Summary: JDBC: cannot fill column of type TIME
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.1.0.1 rc
Hardware: Other All
: medium normal
Assignee: Lionel Elie Mamane
URL:
Whiteboard: BSA target:4.2.0 target:4.1.0.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-06-26 16:59 UTC by Nino
Modified: 2013-06-28 12:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nino 2013-06-26 16:59:17 UTC
Problem description: 
Trying to fill a field of type TIME with data results in error message, record is not saved.

Steps to reproduce:
1. create a table containing a field of type TIME
2. Open table and try to fill in data (e.g. 1:00:00)
3. Try to save the record

Current behavior:
The Record is NOT saved, instead the following error is diplayed:
---------------------------------
Error inserting the new record
Error-Code: -1
For input string: "5900000000.999999999"
---------------------------------  
(floating number seems to depend on entered time value)

Expected behavior:
Record is saved without problem, like e.g. in 3.6.6.2
Operating System: All
Version: 4.1.0.1 rc
Last worked in: 3.6.6.2 release
Comment 1 Nino 2013-06-26 17:02:40 UTC
adding Lionel to CC
Comment 2 Thomas Hackert 2013-06-26 17:55:02 UTC
Hello Nino, *,
I can confirm it with LO Version: 4.1.0.1 Build ID: 1b3956717a60d6ac35b133d7b0a0f5eb55e9155 and installed Germanophone lang- as well as helppack under Debian Testing AMD64 ... :(
HTH
Thomas.
Comment 3 Lionel Elie Mamane 2013-06-26 18:02:20 UTC
In general, please don't set bug status to NEW before a second person has reproduced the problem.

Reproduced with embedded DB (HSQLDB).
Comment 4 Nino 2013-06-26 18:45:50 UTC
fyi: also works well in 4.0.4.

@Lionel resp. initial bug status: I know but we've had a mailing list discussion before, so I already knew the bug was confirmed by Thomas.
Comment 5 Commit Notification 2013-06-27 07:34:49 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b45b566e172938fd82f2be610c6c9dace87d4248

fdo#66216 fix DBTypeConversion::toTimeString format



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-06-27 07:35:06 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ac146c16c0f4707aa8a26e479902a124e4e1b7e4

fdo#66216 fix DBTypeConversion::toTime overflow



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-06-27 07:35:23 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=83dc5c075884dfdb71952aa2617cc6f63dcc56ad

fdo#66216 JDBC no fractional second in time format



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Lionel Elie Mamane 2013-06-27 07:36:21 UTC
Fix for 4.1.0 submitted to gerrit for review
Comment 9 Commit Notification 2013-06-28 12:32:48 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe89aa916601e53637259c757a4da433fbc4feda&h=libreoffice-4-1

fdo#66216 fix DBTypeConversion::toTimeString format


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2013-06-28 12:33:05 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=82593374493c967bbb1ba15d005470d7f108ae87&h=libreoffice-4-1

fdo#66216 fix DBTypeConversion::toTime overflow


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2013-06-28 12:33:23 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f4fcf5464c249fe15d5e8d3dd09df8b377bcd559&h=libreoffice-4-1

fdo#66216 JDBC no fractional second in time format


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.